<template>
    <v-row>
        <v-col cols="12" md="8">
            <v-card>
                <user-nav :id="id"></user-nav>
                <v-container fluid>
                    <keep-alive>
                        <router-view></router-view>
                    </keep-alive>
                </v-container>
            </v-card>
        </v-col>
        <v-col>
            <user-general :id="id"></user-general>
        </v-col>
    </v-row>
</template>

<script>
    import UserNav from "./UserNav";
    import UserGeneral from "./UserGeneral";
    export default {
        name: 'User',
        components: {UserGeneral, UserNav},
        props: ['id'],
    }
</script>

<style scoped>
    .v-list-item {
        min-height: 24px;
    }
</style>
